<?php

function jenny_layout_options( $wp_customize ) {

	$wp_customize->add_section( 'jenny_layout_section', array(
		'title'                 =>  esc_html__( 'Layout Settings', 'jenny' ),
		'panel'                 =>  'jenny_panel'
	) );

	$wp_customize->add_setting( 'jenny_layout_options_setting', array(
		'default'               =>  'right-sidebar',
		'sanitize_callback'     =>  'jenny_layout_option_sanitize',
		'transport'             =>  'refresh'
	) );

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'layout_options_input',
			array(
				'label'         =>  esc_html__( 'Site Layout', 'jenny' ),
				'section'       =>  'jenny_layout_section',
				'settings'      =>  'jenny_layout_options_setting',
				'type'          =>  'radio',
				'choices'       =>  array(
					'right-sidebar'     =>  esc_html__( 'Sidebar Right', 'jenny' ),
					'left-sidebar'      =>  esc_html__( 'Sidebar Left', 'jenny' ),
					'no-sidebar'        =>  esc_html__( 'No Sidebar', 'jenny' )
				)
			)
		)
	);

	$wp_customize->add_setting( 'jenny_layout_color_setting', array(
		'default'               =>  'default',
		'sanitize_callback'     =>  'jenny_layout_color_sanitize',
		'transport'             =>  'refresh'
	) );

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'layout_color_input',
			array(
				'label'         =>  esc_html__( 'Color Scheme', 'jenny' ),
				'section'       =>  'jenny_layout_section',
				'settings'      =>  'jenny_layout_color_setting',
				'type'          =>  'radio',
				'choices'       =>  array(
					'default'      =>  esc_html__( 'Default Blue', 'jenny' ),
					'red'          =>  esc_html__( 'Elegant Red', 'jenny' ),
					'grey'         =>  esc_html__( 'Black Grey', 'jenny' )
				)
			)
		)
	);


}